//		Vectors2D.h

#ifndef _H_Vectors2D
#define _H_Vectors2D

typedef	struct {
	double	dx;
	double	dy;
} vec2;

vec2	ScalarTimesVec2(double scalar, vec2 *v);
vec2	SubVec2(vec2 *v1, vec2 *v2);	//	v1 - v2
double	DotProduct2(vec2 *v1, vec2 *v2);
double	Magnitude2(vec2 *vector);
vec2	UnitVec2(vec2 *vector);

double	PerpDistanceToLine(Point hit_pt, Point xy1, Point xy2);

#endif